summaryrefslogtreecommitdiffstats
path: root/tests/ts/lsns
diff options
context:
space:
mode:
authorKarel Zak2017-11-28 11:17:18 +0100
committerKarel Zak2017-11-28 11:17:18 +0100
commit29f966a57b6ba4df783351910b484cfccb0cc3c1 (patch)
tree2dd26804ba86743de983d45e4d91987540872c74 /tests/ts/lsns
parenttests: make lsns test more robust (diff)
downloadkernel-qcow2-util-linux-29f966a57b6ba4df783351910b484cfccb0cc3c1.tar.gz
kernel-qcow2-util-linux-29f966a57b6ba4df783351910b484cfccb0cc3c1.tar.xz
kernel-qcow2-util-linux-29f966a57b6ba4df783351910b484cfccb0cc3c1.zip
tests: better lsns report on fail
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests/ts/lsns')
-rwxr-xr-xtests/ts/lsns/nsfs16
1 files changed, 14 insertions, 2 deletions
diff --git a/tests/ts/lsns/nsfs b/tests/ts/lsns/nsfs
index 10955c730..7632ecae9 100755
--- a/tests/ts/lsns/nsfs
+++ b/tests/ts/lsns/nsfs
@@ -74,8 +74,20 @@ fi
test "$NSFS_NAMES_MLINES" = "$PATH1
$PATH2" && test "$NSFS_NAMES_1LINE" = "$PATH1,$PATH2"
-echo $? >> $TS_OUTPUT
+RESULT=$?
-cleanup
+echo $RESULT >> $TS_OUTPUT
+
+if [ $RESULT -ne 0 ]; then
+ echo
+ echo "PATH1: $PATH1"
+ echo "PATH2: $PATH2"
+ echo "**Multi-line:**"
+ echo "$NSFS_NAMES_MLINES"
+ echo "**One-line:**"
+ echo "$NSFS_NAMES_1LINE"
+ echo "****"
+fi
+cleanup
ts_finalize